summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Breathitt Gray <vilhelm.gray@gmail.com>2019-09-28 14:47:14 -0400
committerWilliam Breathitt Gray <vilhelm.gray@gmail.com>2019-10-08 21:24:19 -0400
commitd5df88b5a81efc776f08a6317d173e7e5ad275cf (patch)
tree67504366c5aed3d3f9ba8a30ecb9503058bd50d5
parentgames-arcade/opensurge: Need USE=vorbis for media-libs/allegro (diff)
downloadguru-d5df88b5a81efc776f08a6317d173e7e5ad275cf.tar.gz
guru-d5df88b5a81efc776f08a6317d173e7e5ad275cf.tar.bz2
guru-d5df88b5a81efc776f08a6317d173e7e5ad275cf.zip
dev-lang/fbc: Bump to version 1.07.1
Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: William Breathitt Gray <vilhelm.gray@gmail.com>
-rw-r--r--dev-lang/fbc/Manifest2
-rw-r--r--dev-lang/fbc/fbc-1.07.1.ebuild89
-rw-r--r--dev-lang/fbc/files/1.07.1/0001-Pass-ltinfo-to-linker.patch25
3 files changed, 116 insertions, 0 deletions
diff --git a/dev-lang/fbc/Manifest b/dev-lang/fbc/Manifest
index d8c8386..d123fad 100644
--- a/dev-lang/fbc/Manifest
+++ b/dev-lang/fbc/Manifest
@@ -1,6 +1,8 @@
DIST FreeBASIC-1.06.0-source-bootstrap.tar.xz 7742292 BLAKE2B fd32c6e5edf6e8c27538465141c6b870d6c893f8e05fc8d91b273f9268a68065709cba95e8c5cd8b86786522b2ac1eaf1a6a547227432bbc9998eb1288b29515 SHA512 42878091994cae7e0a2f4ba1d2d83a80d32d62ad06790ac06643a266200b53b7ce2480a651b1622910a2733756b7ca032a5be1bb73ee3f796146394eebb9f43c
DIST FreeBASIC-1.07.0-source-bootstrap.tar.xz 8237216 BLAKE2B f657f8a81d412435b8b4167ded5019e9821f0cf47db9d38708da0eea6bdc8835a77c643122e792616aefbbb557f228e6ab06e823c10e1afe922c9e4b34088989 SHA512 3a69e2fe5a81b8990e0ec811a9aeb0c9bdd84e858983800c444717197754a0b8e2945091d80d4c6736b691798dbc571b3e7f885d6a6e4564c9ca1021a2fae71c
+DIST FreeBASIC-1.07.1-source-bootstrap.tar.xz 9098748 BLAKE2B 3c3970ab014f79193dad23b6f22c5ffc61d6f588219dcf00f430ce2c9045dc2af8aa42bdad4f1d63d76591aae14b42553cf6ece88052f0dc78e09c6fb5c4d875 SHA512 89250fb4d79e420151bae8208945e26c5d4e63ba8bbb60658b2c5601ceeea238b387d7d7a2b52d60da2243e5d3d31f602c3657394be72a37c256e777be23b0a8
DIST fbc-1.06.0-bootstrap-dist-linux-x86.patch 147301 BLAKE2B 8320f988bc84f5df1b732719a11d1a8edbfceff04ad51b1fbd883eb21d20f1c2f16b8c6ae41b5b0472e4faf1058345969b85ed0c93c071de3c9ed703e298106a SHA512 b2ee285504ce0f8a6a01ee5da7661e40c4a6bb0075f26751fbc79a328cac66f7809ad4c2489eaab01a6e6432ca6d76e19835c86bddf9df5af3b89c547fd8ffb3
DIST fbc-1.06.0-bootstrap-dist-linux-x86_64.patch 198197 BLAKE2B 72083bef84aed5ec2d95badb70a42db2e5d89084454f79aef41808a018ab238b1d230cb7282f4adf1be9d003c3865cb914fbf057fbd84c069dfecc4abd3da80b SHA512 771077a2526164223c3ae157558355538701224863b2a5923881ac2d2568f4cd1f5489df73aa8d55b1efccc82fe9e251e893a2b361363c1862d4c1e7bc3fb4ba
DIST fbc-1.06.0.tar.gz 8847831 BLAKE2B 9245137995f9f3e2ff5adaf9b273593434ac9ec96919b2c970ec26183fe6fb7afee35753f2dd92f4b34d1aade92871e5a6722571a5ba04dde323fd7fb06c55c5 SHA512 687dcf665bb10e6a771cc01d02c21da77d89e052308600038dce526ba1ccfc6554d409dab184f3495557c9e4fdf744fd7a9088b4b137b782a9ab8633622c5484
DIST fbc-1.07.0.tar.gz 8938137 BLAKE2B 14849dd0cfb0f0a2d0f2e4966a855964027adbacc2253e236f9f10ba73c40b16714d8fb75778cac8cb6eb1600d6adeb2037929a376b4938961e53e5de83fafba SHA512 1cab52e97854b3ef17db6ba4750c0216f3bd04e23997f005189988007014574467c0f63f41ad822d089a18e97439ba52743223d1bb282133b41c0625b66cd8f5
+DIST fbc-1.07.1.tar.gz 8938056 BLAKE2B 965425426605b9e0018e066852a67c355d168276b434e6779e151fad38820a956b5b763aad427c6728be4a74b0956b099a0bb8abd0d76fececc6cf8f0204d3c1 SHA512 7d49b9546e242b1c366b2378f71cf1640b85c85e09f4c2bd99ef268e6b4e5e45a710b7a00f7d807245aec518f299d173635572b77483826c1f273e047dbe3679
diff --git a/dev-lang/fbc/fbc-1.07.1.ebuild b/dev-lang/fbc/fbc-1.07.1.ebuild
new file mode 100644
index 0000000..83399ea
--- /dev/null
+++ b/dev-lang/fbc/fbc-1.07.1.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A free/open source, multi-platform BASIC compiler."
+HOMEPAGE="https://www.freebasic.net"
+SRC_URI="https://github.com/freebasic/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/freebasic/${PN}/releases/download/${PV}/FreeBASIC-${PV}-source-bootstrap.tar.xz"
+
+LICENSE="FDL-1.2 GPL-2+ LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gpm libffi opengl X"
+
+DEPEND="
+ sys-libs/ncurses:=
+ gpm? ( sys-libs/gpm )
+ libffi? ( virtual/libffi )
+ opengl? ( virtual/opengl )
+ X? (
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXpm
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ )"
+RDEPEND="${DEPEND}"
+
+PATCHES="${FILESDIR}/${PV}"
+
+DOCS="${S}/doc/fbc.1"
+
+BOOTSTRAP_S="${WORKDIR}/FreeBASIC-${PV}-source-bootstrap"
+
+src_unpack() {
+ # We only need bootstrap source code if fbc is not already present
+ if ! has_version dev-lang/fbc; then
+ unpack FreeBASIC-${PV}-source-bootstrap.tar.xz
+ fi
+ unpack ${P}.tar.gz
+}
+
+src_prepare() {
+ # We only need bootstrap source code if fbc is not already present
+ if ! has_version dev-lang/fbc; then
+ cd "${BOOTSTRAP_S}" || die "cd failed"
+ eapply "${FILESDIR}/${PV}"
+ cd "${S}" || die "cd failed"
+ fi
+ default
+}
+
+src_compile() {
+ local fbc="fbc"
+ local fbcflags=""
+
+ # We only need bootstrap compiler if fbc is not already present
+ if ! has_version dev-lang/fbc; then
+ cd "${BOOTSTRAP_S}" || die "cd failed"
+
+ # Build bootstrap compiler
+ emake bootstrap-minimal
+
+ # Set bootstrap compiler to build fbc
+ fbc="${BOOTSTRAP_S}/bin/fbc"
+ fbcflags="-i ${BOOTSTRAP_S}/inc"
+
+ cd "${S}" || die "cd failed"
+ fi
+
+ local xcflags=(
+ $(usex gpm "" "-DDISABLE_GPM")
+ $(usex libffi "" " -DDISABLE_FFI")
+ $(usex opengl "" " -DDISABLE_OPENGL")
+ $(usex X "" " -DDISABLE_X11")
+ )
+
+ # fbc requires a space after the -Wl option
+ local fblflags=${LDFLAGS//-Wl,/-Wl }
+
+ # Build fbc
+ emake CFLAGS="${CFLAGS} ${xcflags[*]}" FBC="${fbc}" FBCFLAGS="${fbcflags}" FBLFLAGS="${fblflags}" TARGET=${CHOST}
+}
+
+src_install() {
+ emake DESTDIR="${D}" prefix="/usr" TARGET=${CHOST} install
+ einstalldocs
+}
diff --git a/dev-lang/fbc/files/1.07.1/0001-Pass-ltinfo-to-linker.patch b/dev-lang/fbc/files/1.07.1/0001-Pass-ltinfo-to-linker.patch
new file mode 100644
index 0000000..72bd51f
--- /dev/null
+++ b/dev-lang/fbc/files/1.07.1/0001-Pass-ltinfo-to-linker.patch
@@ -0,0 +1,25 @@
+From c62adcd85c4e9d8b793a7a4f71fc88f6fbb79798 Mon Sep 17 00:00:00 2001
+From: William Breathitt Gray <vilhelm.gray@gmail.com>
+Date: Tue, 27 Aug 2019 20:41:07 +0900
+Subject: [PATCH] Pass -ltinfo to linker
+
+---
+ makefile | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/makefile b/makefile
+index e093bb1..eb3f759 100644
+--- a/makefile
++++ b/makefile
+@@ -1109,7 +1109,7 @@ endif
+ # Use gcc to link fbc from the bootstrap .o's
+ # (assuming the rtlib was built already)
+ ifneq ($(filter darwin freebsd linux netbsd openbsd solaris,$(TARGET_OS)),)
+- BOOTSTRAP_LIBS := -lncurses -lm -pthread
++ BOOTSTRAP_LIBS := -ltinfo -lncurses -lm -pthread
+ endif
+ $(BOOTSTRAP_FBC): rtlib $(BOOTSTRAP_OBJ)
+ $(QUIET_LINK)$(CC) -o $@ $(libdir)/fbrt0.o bootstrap/$(FBTARGET)/*.o $(libdir)/libfb.a $(BOOTSTRAP_LIBS)
+--
+2.22.1
+